> ## Documentation Index
> Fetch the complete documentation index at: https://flutterwaveinc.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Update a chargeback

> Update a chargeback



## OpenAPI

````yaml put /chargebacks/{id}
openapi: 3.0.0
info:
  title: Flutterwave v3
  description: >-
    The Flutterwave for Business(F4B) APIs collection for all v3 endpoints with
    pre-formatted requests and response examples.
  contact: {}
  version: '1.0'
servers:
  - url: https://api.flutterwave.com/v3
    variables: {}
security:
  - bearer: []
tags:
  - name: Charges
    description: >-
      The charge APIs includes several payment collection methods to help you
      collect payments.
  - name: Tokenized Charges
    description: Tokenize your customers' cards with Flutterwave for faster payments
  - name: Preauthorization
    description: Manage preauth attemps on card transactions
  - name: Transactions
    description: Manage transactions, query statuses, logs and fees
  - name: Transfers
    description: Transfers to local and international customers
  - name: Beneficiaries
    description: Manage transfer beneficiaries
  - name: Virtual Cards
    description: Manage Flutterwave virtual cards
  - name: Virtual Account Numbers
    description: Manage virtual accounts
  - name: Collection Subaccounts
    description: Manage Collection Subaccounts
  - name: Payout Subaccounts
    description: Manage Payout Subaccounts
  - name: Subscriptions
    description: Manage user subscriptions
  - name: Payment Plans
    description: Manage Payment Plans
  - name: Bill Payments
    description: Manage Bill Payments
  - name: Banks
    description: Fetch Bank Information
  - name: Misc
    description: >-
      Verify user information like bank verification numbers, card bins, account
      information
  - name: Settlements
    description: Manage your settlements
  - name: Otps
    description: Create and manage one time passwords (OTPs) for your applications
  - name: Chargebacks
    description: Manage Chargebacks
paths:
  /chargebacks/{id}:
    put:
      tags:
        - Chargebacks
      summary: Accept/Decline Chargebacks
      description: decline or accept chargebacks on your account
      operationId: Accept/DeclineChargebacks
      parameters:
        - name: id
          in: path
          description: ''
          required: true
          style: simple
          schema:
            type: string
      requestBody:
        description: ''
        content:
          application/json:
            schema:
              allOf:
                - $ref: '#/components/schemas/AcceptDeclineChargebacksRequest'
                - example:
                    action: accept
                    comment: testing...
                    prooflink: https//www.example.com/prooflink
            example:
              action: accept
              comment: testing...
              prooflink: https//www.example.com/prooflink
        required: true
      responses:
        '200':
          description: OK
          headers:
            Date:
              content:
                text/plain:
                  schema:
                    type: string
                  example: Wed, 27 Mar 2024 10:07:48 GMT
            Content-Length:
              content:
                text/plain:
                  schema:
                    type: string
                  example: '670'
            Connection:
              content:
                text/plain:
                  schema:
                    type: string
                  example: keep-alive
            Server:
              content:
                text/plain:
                  schema:
                    type: string
                  example: nginx/1.24.0
            Access-Control-Allow-Origin:
              content:
                text/plain:
                  schema:
                    type: string
                  example: '*'
            Access-Control-Allow-Headers:
              content:
                text/plain:
                  schema:
                    type: string
                  example: >-
                    Origin, X-Requested-With, Content-Type, Accept,
                    Authorization, v3-xapp-id, flw-auth-token, mra-auth-token,
                    alt_mode_auth, mid, altmodeauth, cc-admin-token, x-flw-lang
            Access-Control-Allow-Methods:
              content:
                text/plain:
                  schema:
                    type: string
                  example: PUT, POST, GET, DELETE, OPTIONS
            ETag:
              content:
                text/plain:
                  schema:
                    type: string
                  example: W/"29e-J5FFDzrRX8vP1x4mNnG77w"
            Strict-Transport-Security:
              content:
                text/plain:
                  schema:
                    type: string
                  example: max-age=31536000; includeSubDomains; preload; always;
          content:
            application/json; charset=utf-8:
              schema:
                allOf:
                  - $ref: '#/components/schemas/SampleSuccessResponse39'
                  - example:
                      status: success
                      message: Chargeback accepted
                      data:
                        id: 1591
                        amount: 100
                        flw_ref: FLW-MOCK-3cc9bbe84a82eb054191d1a1a609909b
                        status: accepted
                        stage: new
                        comment: Testing Testing
                        due_date: '2024-03-27T15:59:59.000Z'
                        settlement_id: N/A
                        created_at: '2024-03-26T12:12:12.000Z'
                        meta:
                          uploaded_proof: null
                          history:
                            - action: initiated
                              stage: new
                              date: '2024-03-26T12:15:06.000Z'
                              description: Debit and hold chargeback amount
                            - action: notification
                              date: '2024-03-26T12:15:19.000Z'
                              description: Email Notification Sent
                            - action: accept
                              stage: new
                              date: '2024-03-27T10:07:43.000Z'
                              description: Merchant accepts claim
              example:
                status: success
                message: Chargeback accepted
                data:
                  id: 1591
                  amount: 100
                  flw_ref: FLW-MOCK-3cc9bbe84a82eb054191d1a1a609909b
                  status: accepted
                  stage: new
                  comment: Testing Testing
                  due_date: '2024-03-27T15:59:59.000Z'
                  settlement_id: N/A
                  created_at: '2024-03-26T12:12:12.000Z'
                  meta:
                    uploaded_proof: null
                    history:
                      - action: initiated
                        stage: new
                        date: '2024-03-26T12:15:06.000Z'
                        description: Debit and hold chargeback amount
                      - action: notification
                        date: '2024-03-26T12:15:19.000Z'
                        description: Email Notification Sent
                      - action: accept
                        stage: new
                        date: '2024-03-27T10:07:43.000Z'
                        description: Merchant accepts claim
        '400':
          description: Bad Request
          headers:
            Date:
              content:
                text/plain:
                  schema:
                    type: string
                  example: Thu, 28 Mar 2024 12:07:25 GMT
            Content-Length:
              content:
                text/plain:
                  schema:
                    type: string
                  example: '80'
            Connection:
              content:
                text/plain:
                  schema:
                    type: string
                  example: keep-alive
            Server:
              content:
                text/plain:
                  schema:
                    type: string
                  example: nginx/1.24.0
            Access-Control-Allow-Origin:
              content:
                text/plain:
                  schema:
                    type: string
                  example: '*'
            Access-Control-Allow-Headers:
              content:
                text/plain:
                  schema:
                    type: string
                  example: >-
                    Origin, X-Requested-With, Content-Type, Accept,
                    Authorization, v3-xapp-id, flw-auth-token, mra-auth-token,
                    alt_mode_auth, mid, altmodeauth, cc-admin-token, x-flw-lang
            Access-Control-Allow-Methods:
              content:
                text/plain:
                  schema:
                    type: string
                  example: PUT, POST, GET, DELETE, OPTIONS
            ETag:
              content:
                text/plain:
                  schema:
                    type: string
                  example: W/"50-5wNdUT6dhbLBxAvyfnrQtA"
          content:
            application/json; charset=utf-8:
              schema:
                allOf:
                  - $ref: '#/components/schemas/SampleErrorResponse1'
                  - example:
                      status: error
                      message: 'Error: Chargeback due time has passed'
                      data: null
              example:
                status: error
                message: 'Error: Chargeback due time has passed'
                data: null
      deprecated: false
components:
  schemas:
    AcceptDeclineChargebacksRequest:
      title: AcceptDeclineChargebacksRequest
      required:
        - action
        - comment
        - prooflink
      type: object
      properties:
        action:
          type: string
        comment:
          type: string
        prooflink:
          type: string
      example:
        action: accept
        comment: testing...
        prooflink: https//www.example.com/prooflink
    SampleSuccessResponse39:
      title: SampleSuccessResponse39
      required:
        - status
        - message
        - data
      type: object
      properties:
        status:
          type: string
        message:
          type: string
        data:
          $ref: '#/components/schemas/Data95'
      example:
        status: success
        message: Chargeback accepted
        data:
          id: 1591
          amount: 100
          flw_ref: FLW-MOCK-3cc9bbe84a82eb054191d1a1a609909b
          status: accepted
          stage: new
          comment: Testing Testing
          due_date: '2024-03-27T15:59:59.000Z'
          settlement_id: N/A
          created_at: '2024-03-26T12:12:12.000Z'
          meta:
            uploaded_proof: null
            history:
              - action: initiated
                stage: new
                date: '2024-03-26T12:15:06.000Z'
                description: Debit and hold chargeback amount
              - action: notification
                date: '2024-03-26T12:15:19.000Z'
                description: Email Notification Sent
              - action: accept
                stage: new
                date: '2024-03-27T10:07:43.000Z'
                description: Merchant accepts claim
    SampleErrorResponse1:
      title: SampleErrorResponse1
      required:
        - status
        - message
        - data
      type: object
      properties:
        status:
          type: string
        message:
          type: string
        data:
          type: string
          nullable: true
      example:
        status: error
        message: >-
          retry_interval is required , retry_amount_variable is required ,
          retry_attempt_variable is required
        data: null
    Data95:
      title: Data95
      required:
        - id
        - amount
        - flw_ref
        - status
        - stage
        - comment
        - due_date
        - settlement_id
        - created_at
        - meta
      type: object
      properties:
        id:
          type: integer
          format: int32
        amount:
          type: integer
          format: int32
        flw_ref:
          type: string
        status:
          type: string
        stage:
          type: string
        comment:
          type: string
        due_date:
          type: string
        settlement_id:
          type: string
        created_at:
          type: string
        meta:
          $ref: '#/components/schemas/Meta39'
      example:
        id: 1591
        amount: 100
        flw_ref: FLW-MOCK-3cc9bbe84a82eb054191d1a1a609909b
        status: accepted
        stage: new
        comment: Testing Testing
        due_date: '2024-03-27T15:59:59.000Z'
        settlement_id: N/A
        created_at: '2024-03-26T12:12:12.000Z'
        meta:
          uploaded_proof: null
          history:
            - action: initiated
              stage: new
              date: '2024-03-26T12:15:06.000Z'
              description: Debit and hold chargeback amount
            - action: notification
              date: '2024-03-26T12:15:19.000Z'
              description: Email Notification Sent
            - action: accept
              stage: new
              date: '2024-03-27T10:07:43.000Z'
              description: Merchant accepts claim
    Meta39:
      title: Meta39
      required:
        - uploaded_proof
        - history
      type: object
      properties:
        uploaded_proof:
          type: string
          nullable: true
        history:
          type: array
          items:
            $ref: '#/components/schemas/History1'
          description: ''
      example:
        uploaded_proof: null
        history:
          - action: initiated
            stage: new
            date: '2024-03-26T12:15:06.000Z'
            description: Debit and hold chargeback amount
          - action: notification
            date: '2024-03-26T12:15:19.000Z'
            description: Email Notification Sent
          - action: accept
            stage: new
            date: '2024-03-27T10:07:43.000Z'
            description: Merchant accepts claim
    History1:
      title: History1
      required:
        - action
        - date
        - description
      type: object
      properties:
        action:
          type: string
        stage:
          type: string
        date:
          type: string
        description:
          type: string
      example:
        action: initiated
        stage: new
        date: '2024-03-26T12:15:06.000Z'
        description: Debit and hold chargeback amount
  securitySchemes:
    bearer:
      type: http
      scheme: bearer

````